/* board_hw.h, all hardware related map, address and registers */
#ifndef _BOARD_HW_H_
#define _BOARD_HW_H_

/*****************************************************************************/
/*                    Physical Memory Map                                    */
/*****************************************************************************/
#define RALINK_RF_LEN       512

#define WPS_PIN_LEN         8
#define NODE_ADDR_LEN       6
#define SN_ADDR_LEN         14
#define DOMAIN_LEN          1
#define COUNTRY_CODE_LEN    1
#define PID_IN_BOOT_LEN     70

#define HW_ID_LEN           6 

// for Ralink RT2880 Flash MAP
#define RALINK_RF_OFFSET_IN_BOOT    0x2FD70

#define WPS_PIN_ADDR_OFFSET_IN_BOOT 0x2FF70

#define NODE_ADDR_OFFSET_IN_BOOT    0x2FFA0

#define DOMAIN_ADDR_OFFSET_IN_BOOT  0x2FF80

#define COUNTRY_CODE_OFFSET_IN_BOOT 0x2FF81

#define SN_ADDR_OFFSET_IN_BOOT      0x2FF90

#define PID_ADDR_OFFSET_IN_BOOT     0x2FFAA

#define BOOT_SIZE       0x30000    // 192K
#define SYSTEM_SIZE     0x2A0000

#define NODE_ADDRESS           NODE_ADDR_OFFSET_IN_BOOT
#define PID_OFFSET             (PID_ADDR_OFFSET_IN_BOOT + 0x7) //jump Singature

#define SYSTEM_PID_OFFSET      (SYSTEM_SIZE - 0x10)
#define HW_ID_OFFSET           (PID_OFFSET + 0x4)         /* offset in boot */

#define FACTORY_VALUE_OFFSET_IN_BOOT RALINK_RF_OFFSET_IN_BOOT

#define FACTORY_VALUE_LEN            (PID_ADDR_OFFSET_IN_BOOT - RALINK_RF_OFFSET_IN_BOOT + 1)

#define FACTORY_VALUE_BACK_OFFSET_IN_BOOT   (BOOT_SIZE - FACTORY_VALUE_OFFSET_IN_BOOT)

/* MTD defines */
#define MTD_BOOT_BLK            "/dev/mtd0"
#define MTD_CONFIG_BLK          "/dev/mtd1"
#define MTD_KERNEL_BLK          "/dev/mtd2"
#define MTD_FS_BLK              "/dev/mtd3"
#define PID_IN_MTD_DEV          "/dev/mtd3"
#define DEFAULT_SERIAL_NUMBER	"200709R8233000"

#define PID_LEN         70
#define MTD_ENV_BLK     "/dev/mtd0"
#define PID_MTD     MTD_ENV_BLK
#define FS "/dev/mtd3"
#define MAC_OFF     0x2FFA0
#define WPS_PIN_OFF 0x2FF70

/* ethernet and wireless port define...*/
#define WLAN_IFS_NUM 2
#define ELAN_IFS_NUM 1

#endif /* _BOARD_HW_H_ */
