/*
 *  scripts.c - handlers for "cgi && ssi scripts"
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <netinet/in.h>    /* for sockaddr_in       */
#include <fcntl.h>
#include <unistd.h>
#include <sys/socket.h>    /* for connect and socket*/
#include <sys/stat.h>
#include <err.h>
#include <errno.h>
#include <asm/types.h>
#include <linux/if.h>
#include <linux/wireless.h>
#include <sys/ioctl.h>
#include <arpa/inet.h>
#include "globals.h"
#include "oid.h"
char    G_bRadio = 1; //TRUE
char    G_bdBm_ischeck=0; //false
char    G_staProfileNum=0;
NDIS_802_11_SSID    G_SSID;
NDIS_802_11_MAC_ADDRESS G_Bssid;

int OidQueryInformation(unsigned long OidQueryCode, int socket_id, char *DeviceName, void *ptr, unsigned long PtrLength)
{
    struct iwreq wrq;

    strcpy(wrq.ifr_name, DeviceName);
    wrq.u.data.length = PtrLength;
    wrq.u.data.pointer = (caddr_t) ptr;
    wrq.u.data.flags = OidQueryCode;

    fprintf(stderr, "query oid=0x%04x\n", OidQueryCode);
    return (ioctl(socket_id, RT_PRIV_IOCTL, &wrq));
}

int OidSetInformation(unsigned long OidQueryCode, int socket_id, char *DeviceName, void *ptr, unsigned long PtrLength)
{
    struct iwreq wrq;

    strcpy(wrq.ifr_name, DeviceName);
    wrq.u.data.length = PtrLength;
    wrq.u.data.pointer = (caddr_t) ptr;
    wrq.u.data.flags = OidQueryCode | OID_GET_SET_TOGGLE;

    fprintf(stderr, "set oid=0x%04x, flags=%04x\n", OidQueryCode, wrq.u.data.flags);
    return (ioctl(socket_id, RT_PRIV_IOCTL, &wrq));
}
#define RTPRIV_IOCTL_SHOW    (SIOCIWFIRSTPRIV + 0x11)
#define SHOW_CONN_STATUS        0x0004

int main()
{
	UINT				lBufLen = 4096, we_version = 16; // 64K
	NDIS_MEDIA_STATE	ConnectStatus = NdisMediaStateDisconnected;
	int s, ret;
    char buf[32];
	PNDIS_802_11_BSSID_LIST_EX	pBssidList;
    PRT_802_11_LINK_STATUS pLinkStatus;
	
	s = socket(AF_INET, SOCK_DGRAM, 0);

   {
        int status=0;
        if (OidQueryInformation(RT_OID_WSC_QUERY_STATUS, s, "ra0", &status, 4) < 0)
        {
            printf("ERROR:RT_OID_WSC_QUERY_STATUS\n");
        }
        printf("Get status=%d\n", status);
   }
   
	close(s);
}

